import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * An ant that collects food.
 * 
 * @author Michael Kolling
 * @version 0.1
 */
public class Ant extends Creature
{
    private boolean carryingFood;
    
    /**
     * Create an ant with a given home hill. The initial speed is zero (not moving).
     */
    public Ant(AntHill home)
    {
        setHomeHill(home);
        carryingFood = false;
    }

    /**
     * Do what an ant's gotta do.
     */
    public void act()
    {
        if(carryingFood == true) {
            walkTowardsHome();
            bvgcheckForAntHill();            
        }
        else {
            randomWalk();
            checkForFood();
        }
    }
    
    private void checkForFood() {
        Actor current = getOneIntersectingObject(Food.class);
        if(current != null) {
           //Greenfoot.stop();
           setImage("ant-with-food.gif");
           carryingFood = true;
        }
        
        //Same as above - no local variable
        //if(getOneIntersectingObject(Food.class) != null) {
            //Greenfoot.stop();
        //}
    }
    
     private void checkForAntHill() {
        Actor current = getOneIntersectingObject(AntHill.class);
        if(current != null) {
           //Greenfoot.stop();
           setImage("ant.gif");
           carryingFood = false;
        }
        
        //Same as above - no local variable
        //if(getOneIntersectingObject(Food.class) != null) {
            //Greenfoot.stop();
        //}
    }


}